using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsMonitoringPointConfig {
        //관제점 포인트 정리
        [Display(Name = "현장 고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "설비종류"), Key]
        public int FacilityTypeId { get; set; }
        [Display(Name = "설비코드"), Key]
        public int FacilityCode { get; set; }
        [Display(Name = "설비속성고유번호"), Key]
        public int PropertyId { get; set; }
        [Display(Name = "누적여부")]
        public bool? IsAccumulated { get; set; }
        [Display(Name = "평균값 처리 여부")]
        public bool IsSampled { get; set; }
        [Display(Name = "저장 모드")]
        public int SaveMode { get; set; }
        [Display(Name = "제어관제점 이름")]
        [StringLength(200)]
        public string ControlPointName { get; set; }
        [Display(Name = "변환여부")]
        public bool IsConverted { get; set; }

        [ForeignKey("SiteId,FacilityCode,PropertyId")]
        public virtual BemsMonitoringPoint BemsMonitoringPoint { get; set; }
        [ForeignKey("FacilityTypeId")]
        public virtual BemsFacilityType FacilityType { get; set; }
    }
}
